Install.sh halted by failed dependencies

I would like to replace a single fedora mail server running sendmail, spamassassin and clamav all manually configuired for about 100 users for a company . Since its getting long in the tooth Im trying to setup a Centos 6 with virtualmin to make maintanance easier.

I installed a fresh copy of Centos 6.0 x64 on my new server , selected basic server, ran yum -y update and then downloaded the install.sh command. The install script is hanging on the…

Package ruby-1.8.7.352-7.el6_2.i686 already installed and latest version
Package ruby-devel-1.8.7.352-7.el6_2.i686 already installed and latest version
Package rubygems-1.3.7-1.el6.noarch already installed and latest version
Package perl-XML-Simple-2.18-6.el6.noarch already installed and latest version
Package perl-Crypt-SSLeay-0.57-16.el6.i686 already installed and latest version
Resolving Dependencies
–> Running transaction check
—> Package httpd.i686 0:2.2.15-15.el6.centos.1 will be updated
–> Processing Dependency: httpd = 2.2.15-15.el6.centos.1 for package: httpd-manual-2.2.15-15.el6.centos.1.noar
ch
—> Package httpd.i386 1:2.2.15-15.el6.vm will be an update
–> Processing Dependency: httpd-tools = 1:2.2.15-15.el6.vm for package: 1:httpd-2.2.15-15.el6.vm.i386
—> Package mod_ssl.i686 1:2.2.15-15.el6.centos.1 will be updated
—> Package mod_ssl.i386 2:2.2.15-15.el6.vm will be an update
–> Running transaction check
—> Package httpd-manual.noarch 0:2.2.15-15.el6.centos.1 will be updated
—> Package httpd-manual.noarch 1:2.2.15-9.el6.2.vm will be an update
–> Processing Dependency: httpd = 1:2.2.15-9.el6.2.vm for package: 1:httpd-manual-2.2.15-9.el6.2.vm.noarch
—> Package httpd-tools.i686 0:2.2.15-15.el6.centos.1 will be updated
—> Package httpd-tools.i386 1:2.2.15-15.el6.vm will be an update
–> Finished Dependency Resolution
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
FATAL - 2012-04-30 14:30:38 - Fatal Error Occurred: Something went wrong during installation: 0
FATAL - 2012-04-30 14:30:38 - Cannot continue installation.
FATAL - 2012-04-30 14:30:39 - Attempting to remove virtualmin repository configuration, so the installation can
be
FATAL - 2012-04-30 14:30:39 - re-attempted after any problems have been resolved.
FATAL - 2012-04-30 14:30:40 - Removing temporary directory and files.
FATAL - 2012-04-30 14:30:41 - If you are unsure of what went wrong, you may wish to review the log
FATAL - 2012-04-30 14:30:41 - in /root/virtualmin-install.log

Hmm, you mentioned that you installed the 64 bit version of CentOS, but it looks like all the packages it’s pulling in are 32 bit.

What output do you receive if you run these two commands:

uname -a file /bin/ls

I’m curious if that’s somehow related (though in theory, the Virtualmin installer shouldn’t care, and should just pull down the correct packages).

Another thing you may want to try is to remove the httpd-manual package like this:

rpm -e httpd-manual

And then to try the installer again, we’ve occasionally seen that package cause some hangups.

-Eric

Sorry for the incorrect info. My new server is a 64bit machine but the image im trying right now is a 32bit setup for testing under virtualbox…

virtualrocks <- slaps self

Trying rpm -e httpd-manual solved the install process.

Thanks!